Displaying 12 results from an estimated 12 matches for "__extra_options__".
2013 Dec 09
3
[PATCH 1/3] Fix manpage generation in out-of-tree builds
...<
virt-sysprep.1: virt-sysprep.pod sysprep-extra-options.pod sysprep-operations.pod
@@ -112,8 +112,8 @@ virt-sysprep.1: virt-sysprep.pod sysprep-extra-options.pod sysprep-operations.po
--no-strict-checks \
--man $@ \
--license GPLv2+ \
- --insert sysprep-extra-options.pod:__EXTRA_OPTIONS__ \
- --insert sysprep-operations.pod:__OPERATIONS__ \
+ --insert $(srcdir)/sysprep-extra-options.pod:__EXTRA_OPTIONS__ \
+ --insert $(srcdir)/sysprep-operations.pod:__OPERATIONS__ \
$<
%.1: %.pod
diff --git a/po-docs/uk/Makefile.am b/po-docs/uk/Makefile.am
index...
2013 Mar 07
7
Fixes from the patch queue of the Debian package
Here are three patches that fix issues with out-of-tree building and
one that uses Ruby's own autoconf stuff for determining how Ruby
bindings should be built.
Cheers,
-Hilko
2015 Oct 22
2
[PATCH 1/2] build: isolate common po-docs logic
...--insert $(srcdir)/customize-options.pod:__CUSTOMIZE_OPTIONS__ \
- $<
-
-virt-sysprep.1: virt-sysprep.pod sysprep-extra-options.pod sysprep-operations.pod
- $(PODWRAPPER) \
- --no-strict-checks \
- --man $@ \
- --license GPLv2+ \
- --insert $(srcdir)/sysprep-extra-options.pod:__EXTRA_OPTIONS__ \
- --insert $(srcdir)/sysprep-operations.pod:__OPERATIONS__ \
- $<
-
-%.1: %.pod
- $(PODWRAPPER) \
- --no-strict-checks \
- --man $@ \
- $<
-
-%.3: %.pod
- $(PODWRAPPER) \
- --no-strict-checks \
- --man $@ \
- --section 3 \
- $<
-
-%.5: %.pod
- $(PODWRAPPER) \
-...
2019 Dec 11
2
[PATCH 1/2] podcheck: __INCLUDE:file.pod__ and __VERBATIM:file.txt__ in POD files.
Make sure the pod checker script can deal with the newer additions of
podwrapper.pl.
Followup of commit 46e59e9535c2fcd1c188464b5249a249f22af1a0.
---
podcheck.pl | 36 ++++++++++++++++++++++++++++++++++++
1 file changed, 36 insertions(+)
diff --git a/podcheck.pl b/podcheck.pl
index 527a2e47d..795fe0e9b 100755
--- a/podcheck.pl
+++ b/podcheck.pl
@@ -83,6 +83,15 @@ used where the POD includes
2019 Dec 11
0
[PATCH 2/2] tests: fix podcheck tests
...e950410d7..b31e0f097 100755
--- a/sysprep/test-virt-sysprep-docs.sh
+++ b/sysprep/test-virt-sysprep-docs.sh
@@ -22,6 +22,7 @@ $TEST_FUNCTIONS
skip_if_skipped
$top_srcdir/podcheck.pl virt-sysprep.pod virt-sysprep \
+ --path $top_srcdir/common/options \
--insert sysprep-extra-options.pod:__EXTRA_OPTIONS__ \
--insert sysprep-operations.pod:__OPERATIONS__ \
--ignore=--dryrun,--dump-pod,--dump-pod-options,--no-selinux-relabel
--
2.23.0
2014 Jan 13
2
Re: [Bug 1046905] New: RFE: add argument to virt-sysprep to disable individual default operations
On Friday 10 January 2014 10:09:19 Richard W.M. Jones wrote:
> On Thu, Jan 09, 2014 at 03:45:54PM +0000, Richard W.M. Jones wrote:
> > On Thu, Jan 09, 2014 at 04:21:10PM +0100, Pino Toscano wrote:
> > > + and set_operations op_string =
> > > + let currentopset =
> > > + match (!operations) with
> >
> > No need for parentheses around
2014 Jan 13
0
[PATCH] sysprep: add --operations
...ome guest types.
+
+Use I<--list-operations> to list operations supported by a particular
+version of virt-sysprep.
+
+See L</OPERATIONS> below for a list and an explanation of each
+operation.
+
=item B<--format> raw|qcow2|..
=item B<--format> auto
@@ -209,24 +250,26 @@ __EXTRA_OPTIONS__
=head1 OPERATIONS
-If the I<--enable> option is I<not> given, then most sysprep
-operations are enabled.
+If the I<--enable>/I<--operations> option is I<not> given,
+then most sysprep operations are enabled.
Use C<virt-sysprep --list-operations> to list a...
2019 Dec 17
5
[PATCH 0/3] Various dist/build fixes
Fix one dist issue, and various builddir!=srcdir issues, also with the
patch proposed in the Debian bug #946594.
Patch #3 applies also to the virt-v2v repository, and will be committed
there too (with references to the libguestfs commit).
Pino Toscano (3):
inspector: ship the actual test script
tests: fix srcdir references
build: fix make implicit dependencies on ml/mli files
2019 Nov 28
4
[PATCH v2 0/3] options: Describe --key SELECTOR in a single file.
v1 was here:
https://www.redhat.com/archives/libguestfs/2019-November/msg00271.html
In v2 I just updated the way paths are handled.
Note this series requires the following patch to common which adds the
common/options/key-option.pod file:
https://www.redhat.com/archives/libguestfs/2019-November/msg00269.html
Rich.
2019 Nov 26
4
[PATCH libguestfs 0/3] options: Describe --key SELECTOR in a single file.
The libguestfs part of this change.
Also a virt-v2v part will be needed.
The first patch adds a new feature to podwrapper so that we can use
__INCLUDE:file__ directives within the POD itself (instead of using
--insert, and one day replacing that).
The second patch shows how this change could be used for the included
parts of the guestfish man page, including the non-English pages under
2016 Jul 18
2
[PATCH] tests: Implement script to check documented tool options match actual options.
...f the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+export LANG=C
+set -e
+
+$srcdir/../podcheck.pl virt-sysprep.pod virt-sysprep \
+ --insert sysprep-extra-options.pod:__EXTRA_OPTIONS__ \
+ --insert sysprep-operations.pod:__OPERATIONS__ \
+ --ignore=--dryrun,--dump-pod,--dump-pod-options,--no-selinux-relabel
diff --git a/v2v/Makefile.am b/v2v/Makefile.am
index 6529f13..8fd013d 100644
--- a/v2v/Makefile.am
+++ b/v2v/Makefile.am
@@ -254,6 +254,7 @@ CLEANFILES += \
TESTS_ENVIR...
2017 Feb 20
3
[PATCH 0/3] tests: Define common test functions.
Previously I posted a work-in-progress preview of this patch series:
https://www.redhat.com/archives/libguestfs/2017-February/msg00224.html
This is the finished version that updates all of the shell-script
based tests. It passes 'make check', 'make check-direct' and
'make check-slow'.
Rich.